Package pygraph :: Package algorithms :: Module accessibility

# Module accessibility

Accessibility algorithms.

Functions

dictionary

accessibility(graph) Accessibility matrix (transitive closure). |

dictionary

connected_components(graph) Connected components. |

list

cut_edges(graph) Return the cut-edges of the given graph. |

list

cut_nodes(graph) Return the cut-nodes of the given graph. |

dictionary

mutual_accessibility(graph) Mutual-accessibility matrix (strongly connected components). |

Variables
| __package__ = ``'``pygraph.algorithms``'``

Function Details

### accessibility(graph)

Accessibility matrix (transitive closure).

Parameters:
  - `graph` (graph, digraph, hypergraph) - Graph.
Returns: dictionary
  Accessibility information for each node.

### connected_components(graph)

Connected components.

Parameters:
  - `graph` (graph, hypergraph) - Graph.
Returns: dictionary
  Pairing that associates each node to its connected component.

### cut_edges(graph)

Return the cut-edges of the given graph.

A cut edge, or bridge, is an edge of a graph whose removal increases the number of connected components in the graph.

Parameters:
  - `graph` (graph, hypergraph) - Graph.
Returns: list
  List of cut-edges.

### cut_nodes(graph)

Return the cut-nodes of the given graph.

A cut node, or articulation point, is a node of a graph whose removal increases the number of connected components in the graph.

Parameters:
  - `graph` (graph, hypergraph) - Graph.
Returns: list
  List of cut-nodes.

### mutual_accessibility(graph)

Mutual-accessibility matrix (strongly connected components).

Parameters:
  - `graph` (graph, digraph) - Graph.
Returns: dictionary
  Mutual-accessibility information for each node.